#pragma once
using namespace System;

#include "LKFContext.h"

namespace lkfxdok {
	namespace c {
		public ref class LKFException :
			public System::Exception
		{
		public:

			LKFException(int errorCode, String ^errorText);
		};

		public ref class LKFMemoryException : public LKFException 
		{
		public:
			LKFMemoryException(String^ errorText);
			LKFMemoryException(String^ errorText, String^ key);
			LKFMemoryException(LKFContext^ errorText);
		private:
			static String^ GetOutOfMemoryText(LKFContext^ context);
		};
	}
}
